package com.atlassian.bitbucket.mesh.git.builder.prune;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilderSupport;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

public interface GitPruneBuilder extends GitProcessBuilderSupport<GitPruneBuilder> {

    @Nonnull
    GitPruneBuilder dryRun(boolean value);

    @Nonnull
    GitPruneBuilder expire(@Nullable String value);

    @Nonnull
    GitPruneBuilder verbose(boolean value);
}
